UPDATE-PASSWD(8)

NOM
update-passwd - met à jour /etc/passwd, /etc/shadow et /etc/group de façon sécurisée

SYNOPSIS
update-passwd [options]

DESCRIPTION
update-passwd handles updates of /etc/passwd, /etc/shadow and /etc/group on running Debian systems. It compares the current files to master copies, distributed in the base-passwd package, and updates all entries in the global system range (that is, 0–99). It leaves backup copies of the previous versions of modified files with the extension ‘.org’ (for “original”).

OPTIONS
update-passwd suit la syntaxe usuelle des commandes GNU, avec les options longues commençant par deux tirets (« - »).

-p, --passwd-master=FICHIER
    Utilise FICHIER comme original de la base de données « passwd ». La valeur par défaut est /usr/share/base-passwd/passwd.master.

-g, --group-master=FICHIER
    Utilise FICHIER comme original de la base de données « group ». La valeur par défaut est /usr/share/base-passwd/group.master.

-P, --passwd=FICHIER
    Utilise FICHIER comme base de données « passwd » du système. La valeur par défaut est /etc/passwd.

-S, --shadow=FICHIER
    Utilise FICHIER comme base de données « shadow » du système. La valeur par défaut est /etc/shadow.

-G, --group=FICHIER
    Utilise FICHIER comme base de données « group » du système. La valeur par défaut est /etc/group.

-s, --sanity-check
    Ne réalise que les tests de contrôle, mais ne touche à rien.

-v, --verbose
    Donne des informations précises sur ce qui est réalisé. Un second -v donne encore plus de précisions.

-n, --dry-run
    Ne fait rien, montre seulement ce qui va être fait.

-L, --no-locking
    Ne cherche pas à verrouiller la base de données des comptes. Cette option ne devrait être utilisée qu'à des fins de débogage. J'insiste : n'utilisez pas cette option à moins d'être vraiment sûr d'en avoir besoin !

-h, --help
    Affiche un résumé d'aide pour l'utilisation de update-passwd.

-V, --version
    Affiche le numéro de version.

VARIABLES D'ENVIRONNEMENT

DEBIAN_HAS_FRONTEND
    If this environment variable is set and the --dry-run flag was not given, update-passwd uses debconf to prompt for whether to make changes. Each proposed change will produce a separate prompt. User or group removals, UID or GID changes, and home directory changes will be asked with high priority. User or group additions and shell changes will be asked with medium priority. Questions about whether to move entries above the NIS compat inclusion entry or whether to change the GECOS of a user are asked at low priority.

BOGUES
Pour l'instant update-passwd ne vérifie pas le fichier shadow. Il devrait vérifier si les entrées de passwd sont également dans le fichier shadow et vice versa, et que les mots de passe ne sont pas présents dans les deux fichiers.

AUTEUR
Wichert Akkerman <wakkerma@debian.org>

Ce programme a été écrit pour le projet Debian, et est placé sous le copyright 1999–2002 Wichert Akkerman et le copyright 2002, 2003 Colin Watson. Il est distribué sous la licence publique générale du projet GNU (« GPL ») version 2.

TRADUCTION
Ce document est une traduction, réalisée par Nicolas FRANÇOIS le 8 août 2005.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.

N'hésitez pas à signaler à l'auteur ou à la liste de traduction <debian-l10n-french@lists.debian.org>, selon le cas, toute erreur dans cette page de manuel.